- Main Page
- Modules
- Data Structures
- Files
- Examples

# Variables used in uIP device drivers
[The uIP TCP/IP stack]

## Detailed Description

uIP has a few global variables that are used in device drivers for uIP.

## Variables
u16_t | uip_len
| The length of the packet in the uip_buf buffer.

## Variable Documentation

u16_t uip_len

| The length of the packet in the uip_buf buffer. The global variable uip_len holds the length of the packet in the uip_buf buffer. When the network device driver calls the uIP input function, uip_len should be set to the length of the packet in the uip_buf buffer. When sending packets, the device driver should use the contents of the uip_len variable to determine the length of the outgoing packet. Examples: example-mainloop-with-arp.c, and example-mainloop-without-arp.c. Definition at line 155 of file uip.c. Referenced by uip_arp_arpin(), uip_process(), and uip_split_output().